.\"
.\" Copyright (c) 1994 Wilko Bulte
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software withough specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/man4.i386/fdc.4,v 1.4.2.4 1999/09/05 11:27:01 peter Exp $
.\"
.Dd August 31, 1994
.Dt FDC 4 i386
.Os FreeBSD
.Sh NAME
.Nm fdc
.Nd
PC architecture floppy disk controller driver
.Sh SYNOPSIS
.Cd "controller fdc0 at isa? port" \&"IO_FD1\&" bio "flags 0x1" "irq 6" "drq 2" "vector fdintr"
.Cd "disk fd0 at fdc0 drive 0
.Cd "disk fd1 at fdc0 drive 1
.Pp
For QIC40 and QIC80 tapedrives controlled by the floppy controller:
.Cd "tape ft0 at fdc0 drive 2
.Sh DESCRIPTION
This driver provides access to floppy disk drives and QIC40/80 tapedrives.
In /dev for each floppy device a number of minor devices are present. The
/dev/fd* devices with trailing alphabetic characters are used to indicate
'partitions' on the floppy disk. The /dev/fd*.<number> are devices that
indicate the size of the floppy disk (so: 720kB, 1440kB etc). The latter
are used for formatting disks using fdformat or for accessing different
density disks in multidensity drive. Example: 720kB disk in a 1.44Mb drive.
.Pp
Normally, the driver will ask the system's CMOS memory to obtain the
floppy drive configuration.  Some machines do not store any form of a
configuration value in their CMOS.  Use the flags value
.Ql 0x1
to pretend a 1.44 MB floppy drive as the first unit, without asking the
CMOS for it.
.Sh FILES
.Bl -tag -width Pa -compact
.It /dev/fd*
floppy disk device nodes
.It /dev/fd*.<size in kB>
floppy disk device nodes where the trailing number indicates the floppy 
capacity 
.It /dev/ft*
floppy tape (QIC40/80) device nodes
.It Pa /sys/i386/conf/GENERIC
sample generic kernel config file 
.It Pa /sys/i386/isa/fd.c
floppy driver source 
.It Pa /sys/i386/isa/ft.c
floppy tape (QIC40/80 driver source
.El
.Sh SEE ALSO
.Xr fdformat 1 ,
.Xr disktab 5 ,
.Xr ft 8
